# DataExchange
TKXSBase
Transfer

# Transfer_DataMapIteratorOfDataMapOfTransientTransient Class Reference

`#include <Transfer_DataMapIteratorOfDataMapOfTransientTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_DataMapIteratorOfDataMapOfTransientTransient ()
Standard_EXPORT | Transfer_DataMapIteratorOfDataMapOfTransientTransient (const Transfer_DataMapOfTransientTransient &aMap)
Standard_EXPORT void | Initialize (const Transfer_DataMapOfTransientTransient &aMap)
Standard_EXPORT const Handle_Standard_Transient & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_DataMapIteratorOfDataMapOfTransientTransient::Transfer_DataMapIteratorOfDataMapOfTransientTransient | ( |  | ) |

Standard_EXPORT Transfer_DataMapIteratorOfDataMapOfTransientTransient::Transfer_DataMapIteratorOfDataMapOfTransientTransient | ( | const Transfer_DataMapOfTransientTransient & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_DataMapIteratorOfDataMapOfTransientTransient::Initialize | ( | const Transfer_DataMapOfTransientTransient & | aMap | ) |

Standard_EXPORT const Handle_Standard_Transient& Transfer_DataMapIteratorOfDataMapOfTransientTransient::Key | ( |  | ) | const

void Transfer_DataMapIteratorOfDataMapOfTransientTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_DataMapIteratorOfDataMapOfTransientTransient::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_DataMapIteratorOfDataMapOfTransientTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& Transfer_DataMapIteratorOfDataMapOfTransientTransient::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Transfer_DataMapIteratorOfDataMapOfTransientTransient.hxx